Skip to main content
POST

Authorizations

x-revolv3-token
string
header
required

Headers

Client-Request-Id
string

Optional identifier generated by the client to match its own logs with this request.

Allowed values: 1 to 128 characters, letters, digits and ., _, :, -.

Examples: order-12345, 3f2b8c1e-9d4a-4e7b-a1c5-6b0d2e8f7a91 (GUID), checkout:2026-11-02.17, retry_1.order-12345.

A valid value is returned in the Client-Request-Id response header and is stored with Revolv3 request logs, so it can be used when contacting support. An invalid value is ignored and the request is processed normally. Do not send sensitive data in this header.

Required string length: 1 - 128
Pattern: ^[A-Za-z0-9._:-]{1,128}$

Path Parameters

paymentMethodId
integer<int64>
required

The unique identifier for the payment method information

Body

amount
object
required
networkProcessing
object
orderProcessingChannel
enum<string>
Available options:
Ecommerce,
Moto
ecommercePlatformUrl
string | null

The merchant's storefront or e-commerce platform URL or domain from which the transaction originates. If provided, this value will be sent to the processor (TSYS only) as the Acceptor URL Address. If not provided, the value configured in Merchant Details (E-Commerce Platform URL) will be used. If neither is available, the request is sent to TSYS without the Acceptor URL Address.

Maximum string length: 100
dynamicDescriptor
object
includeRawProcessorResponse
boolean | null
default:false

Determine whether to return raw processor data in the response.

reportGroup
string | null

Report Groups could be used to separate your transactions into different categories, so you can view the financial reports by your specific report group names (Worldpay only).

merchantInvoiceRefId
string | null

Merchant's unique identifier for the invoice.

Maximum string length: 100
onlinePaymentCryptogram
string | null

Decrypted package online payment cryptogram for a digital wallet.

Maximum string length: 512

Response

OK

networkTransactionId
string | null

The identifier returned for Visa, Mastercard, and Discover transactions. Visa and Discover use this value to link subsequent payments in a recurring/installment stream back to the initial transaction. You must include this value in the request message (originalNetworkTransactionId element) for subsequent recurring payments.

Maximum string length: 100
paymentMethodAuthorizationId
integer<int64> | null

Unique identifier for a previously pre-authorized payment method.

Required range: 1 <= x <= 1000000000
paymentMethod
object
paymentProcessor
string | null

The name of the processor by which the transaction was processed.

Maximum string length: 100
processorMerchantId
string | null

The merchant account ID (MID) of the processor by which the transaction was processed.

Maximum string length: 100
responseMessage
string | null

The processor response message.

Maximum string length: 500
responseCode
string | null

The processor response code.

Maximum string length: 10
rawResponse
string | null

Conditional. The value is returned if includeRawProcessorResponse = true. This field contains the raw data received from the processor after attempting to bill this payment. It does not contain any sensitive information. The field value is a string with the serialized response from the processor in JSON format.

Maximum string length: 10000
message
string | null

The message returned directly from payment processor or a special message provided by system.

Maximum string length: 500
processorResponseDateTime
string<date-time> | null

UTC timestamp of the payment processor response (format: YYYY-MM-DDThh:mm:ss).

Maximum string length: 40
authCode
string | null

Transaction authorization code.

Maximum string length: 20
processorTransactionId
string | null

Payment Processor Transaction Id.

Maximum string length: 100
revolv3ResponseCode
string | null

Standardized internal response code indicating the outcome of the request.

Maximum string length: 10
revolv3ResponseMessage
string | null

Message providing additional details about the response code.

Maximum string length: 500
merchantInvoiceRefId
string | null

Merchant's unique identifier for the invoice.

Maximum string length: 100